%define version	3.03
%define release 1
%define name 	perl-Net-Telnet
%define realname	Net-Telnet

Summary:        Net::Telnet (module for perl) Jay Rogers <jay@rgrs.com>
Name: 		%{name}
version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	%{realname}-%{version}.tar.bz2
URL: 		http://www.bacus.pt/Net_SSLeay/index.html
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Prefix:		%{_prefix}
Requires: 	perl
BuildArch:	noarch

%description
    Net::Telnet allows you to make client connections to a TCP port
    and do network I/O, especially to a port using the TELNET
    protocol.  Simple I/O methods such as print, get, and getline are
    provided.  More sophisticated interactive features are provided
    because connecting to a TELNET port ultimately means communicating
    with a program designed for human interaction.  These interactive
    features include the ability to specify a timeout and to wait for
    patterns to appear in the input stream, such as the prompt from a
    shell.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
# XXX hack
perl -pi \
  -e 's|INSTALLVENDORLIB = %{_prefix}|INSTALLVENDORLIB = \$(PREFIX)|g;' \
  -e 's|INSTALLVENDORMAN3DIR = %{_prefix}|INSTALLVENDORMAN3DIR = \$(PREFIX)|g;' \
  Makefile
%makeinstall PREFIX=$RPM_BUILD_ROOT/%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST README ChangeLog
%{_libdir}/perl*/vendor_perl/*/Net/Telnet.pm
%{_mandir}/*/*

%changelog
* Fri Oct  3 2003 Peter Hanecak <hanecak@megaloman.sk> 3.03-1
- adapted to Doors Linux

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 3.03-1mdk
- 3.03.

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.02-5mdk
- _really_ be noarch :-)

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.02-4mdk
- rebuild for the new perl 5.8.0
- should be noarch

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.02-3mdk
- Rebuild for the latest perl.
- Rename spec.

* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 3.02-2mdk
- description.

* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 3.02-1mdk
- doc
- macroszifications.

* Fri Jun 30 2000 Nicolas Planel <nicolas@mandrakesoft.com>
- Spec file was generated for MandrakeSoft

